// creator  : weidu.exe (version 23100)
// argument : MARCUS.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MARCUS~

IF ~HasItem("misc4w",Myself)
~ THEN BEGIN 0 // from:
  SAY #29726 /* ~Stop bothering me, I've important business to conduct.~ */
  IF ~CheckStatGT(LastTalkedToBy,16,STR)
CheckStatGT(LastTalkedToBy,12,CHR)~ THEN REPLY #61461 /* ~Those documents... hand them over now, or else!~ */ GOTO 2
  IF ~OR(2)
!CheckStatGT(LastTalkedToBy,16,STR)
!CheckStatGT(LastTalkedToBy,12,CHR)~ THEN REPLY #61462 /* ~Those documents... hand them over now, or else!~ */ GOTO 1
  IF ~CheckStatGT(LastTalkedToBy,10,CHR)~ THEN REPLY #61463 /* ~You have some documents I wish to... purchase.~ */ GOTO 4
  IF ~!CheckStatGT(LastTalkedToBy,10,CHR)~ THEN REPLY #61464 /* ~You have some documents I wish to... purchase.~ */ GOTO 3
  IF ~CheckStatGT(LastTalkedToBy,17,DEX)
CheckStatGT(LastTalkedToBy,14,STR)
!Alignment(LastTalkedToBy,MASK_GOOD)~ THEN REPLY #61466 /* ~Oh, sorry... you've got something on your neck... (snap his neck quickly and quietly).~ */ DO ~Wait(1)
Kill(Myself)~ EXIT
  IF ~~ THEN REPLY #61465 /* ~I'll leave you alone, then.~ */ EXIT
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #61458 /* ~Oh, get over yourself. I've been threatened by far better than you. Hmph!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #61459 /* ~Ah!  Ah, oh, er... take them!  Take them and leave me be!!~ */
  IF ~~ THEN DO ~GiveItem("misc4w",LastTalkedToBy)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.3
  SAY #61460 /* ~Hah! These are more important that anything *you* could offer.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #61467 /* ~Hmmm.  Perhaps... I might be able to part with them.  Providing you pay me more than I'm making with this deal.  250 gold ought to cover it, eh?~ */
  IF ~PartyGoldGT(249)~ THEN REPLY #61468 /* ~Very well.  250 gold for those documents.~ */ DO ~TakePartyGold(250)
DestroyGold(250)~ GOTO 5
  IF ~PartyGoldGT(199)
CheckStatGT(LastTalkedToBy,15,CHR)~ THEN REPLY #61469 /* ~How about 200 gold and we call it even.~ */ DO ~TakePartyGold(200)
DestroyGold(200)~ GOTO 5
  IF ~CheckStatGT(LastTalkedToBy,16,CHR)
Gender(LastTalkedToBy,FEMALE)
OR(3)
Race(LastTalkedToBy,HUMAN)
Race(LastTalkedToBy,ELF)
Race(LastTalkedToBy,HALFELF)~ THEN REPLY #61470 /* ~Oh?  Are you sure a lovely man like yourself wouldn't... do a woman like me a little favor, hmmm?~ */ GOTO 6
  IF ~PartyGoldLT(250)~ THEN REPLY #61471 /* ~I don't have that much on me, I'm afraid.~ */ GOTO 7
  IF ~~ THEN REPLY #61472 /* ~Forget it.~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.1 4.0
  SAY #61473 /* ~Deal.  Here you go.  Now excuse me...~ */
  IF ~~ THEN DO ~GiveItem("misc4w",LastTalkedToBy)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.2
  SAY #61474 /* ~(gulp!)  Ah... er, certainly...~ */
  IF ~~ THEN DO ~GiveItem("misc4w",LastTalkedToBy)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.4 4.3
  SAY #61475 /* ~Then begone.~ */
  IF ~~ THEN EXIT
END

IF ~!HasItem("misc4w",Myself)~ THEN BEGIN 8 // from:
  SAY #61476 /* ~Stop bothering me, I've important... wait!  Where are my papers?!  I must have left them... oh, no!!~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
